zenilib: UIntMap Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
UIntMap Struct Reference

`#include <alMain.h>`

## Public Attributes

struct {
ALuint key
ALvoid * value
} | array
ALsizei | limit
RWLock | lock
ALsizei | maxsize
ALsizei | size

## Detailed Description

Definition at line 307 of file alMain.h.

## Member Data Documentation

struct { ... } * UIntMap::array

Referenced by alProcessUpdatesSOFT(), InitUIntMap(), InsertUIntMapEntry(), LookupUIntMapKey(), ReleaseALAuxiliaryEffectSlots(), ReleaseALBuffers(), ReleaseALEffects(), ReleaseALFilters(), ReleaseALSources(), RemoveUIntMapKey(), ResetUIntMap(), and UpdateDeviceParams().

ALuint UIntMap::key

Definition at line 309 of file alMain.h.

Referenced by InsertUIntMapEntry(), LookupUIntMapKey(), and RemoveUIntMapKey().

ALsizei UIntMap::limit

Definition at line 314 of file alMain.h.

Referenced by InitUIntMap(), and InsertUIntMapEntry().

RWLock UIntMap::lock

Definition at line 315 of file alMain.h.

Referenced by InitUIntMap(), InsertUIntMapEntry(), LockUIntMapRead(), LockUIntMapWrite(), LookupUIntMapKey(), RemoveUIntMapKey(), ResetUIntMap(), UnlockUIntMapRead(), and UnlockUIntMapWrite().

ALsizei UIntMap::maxsize

Definition at line 313 of file alMain.h.

Referenced by InitUIntMap(), InsertUIntMapEntry(), and ResetUIntMap().

ALsizei UIntMap::size

Definition at line 312 of file alMain.h.

Referenced by alProcessUpdatesSOFT(), FreeContext(), FreeDevice(), InitUIntMap(), InsertUIntMapEntry(), LookupUIntMapKey(), ReleaseALAuxiliaryEffectSlots(), ReleaseALBuffers(), ReleaseALEffects(), ReleaseALFilters(), ReleaseALSources(), RemoveUIntMapKey(), ResetUIntMap(), and UpdateDeviceParams().

ALvoid* UIntMap::value

Definition at line 310 of file alMain.h.

Referenced by alProcessUpdatesSOFT(), InsertUIntMapEntry(), LookupUIntMapKey(), ReleaseALAuxiliaryEffectSlots(), ReleaseALBuffers(), ReleaseALEffects(), ReleaseALFilters(), ReleaseALSources(), RemoveUIntMapKey(), and UpdateDeviceParams().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alMain.h